Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation
Class SimulationControl

public class SimulationControl

Field Summary
`String` | `diagramName`
`HashMap` | `legends`

Method Summary
`void` | `addResultListener(ResultListener listener)`
`String` | `getDiagramName()`
`SimulatorJobControl` | `getJobControl()`
`HashMap` | `getLegends()`
`Model` | `getModel()`
`ResultListener[]` | `getResultListeners()`
`Simulator` | `getSimulator()`
`Object` | `getSimulatorOptions()`
`Span` | `getSpan()`
`void` | `removeResultListener(ResultListener listener)`
`void` | `setDiagramName(String name)`
`void` | `setLegends(HashMap names)`
`void` | `setModel(Model model)`
`void` | `setSimulator(Simulator simulator)`
`void` | `setSimulatorOptions(Object simulatorOptions)`
`void` | `setSpan(Span span)`
`void` | `start()`
`void` | `stop()`

Field Detail

### diagramName

    public String diagramName

### legends

    public HashMap legends

Method Detail

### addResultListener

    public void addResultListener(ResultListener listener)

  todo

### getDiagramName

    public String getDiagramName()

### getJobControl

    public SimulatorJobControl getJobControl()

### getLegends

    public HashMap getLegends()

### getModel

    public Model getModel()

### getResultListeners

    public ResultListener[] getResultListeners()

### getSimulator

    public Simulator getSimulator()

### getSimulatorOptions

    public Object getSimulatorOptions()

### getSpan

    public Span getSpan()

### removeResultListener

    public void removeResultListener(ResultListener listener)

  todo

### setDiagramName

    public void setDiagramName(String name)

### setLegends

    public void setLegends(HashMap names)

### setModel

    public void setModel(Model model)

### setSimulator

    public void setSimulator(Simulator simulator)

### setSimulatorOptions

    public void setSimulatorOptions(Object simulatorOptions)

### setSpan

    public void setSpan(Span span)

### start

    public void start()

### stop

    public void stop()

Association Links

to Class java.lang.String

to Class java.util.HashMap

to Class biouml.plugins.simulation.Model

to Class biouml.plugins.simulation.Simulator

to Class biouml.plugins.simulation.Span

to Class biouml.plugins.simulation.ResultListener

to Class biouml.plugins.simulation.SimulatorJobControl

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM